{% extends 'base.html.twig' %}

{# SEO #}
{% block title %}{{ mission.content.pageTitle }}{% endblock %}
{% block description %}{{ mission.content.pageDescription }}{% endblock %}
{% block image %}/uploads/img_article/{{ mission.image }}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% set base_url = app.request.getSchemeAndHttpHost() %}

{% block body %}

	<div class="page-mission">

		<div class="list-images">
			<div class="img">
				<img src="/images/placeholder.png" data-src="/uploads/img_article/{{ mission.image }}" alt="{{ mission.content.title }}">
			</div>
		</div>

		<section class="wrapper content">
			<ul class="breadcrumb">
				<li><a href="/{{ lang }}/missions">{{ 'missions.title'|trans }}</a></li>
				<li>{{ mission.content.title }}</li>
			</ul>
			<div class="richtext">
				<div class="infos">
					<p><span>{{'mission.country_label'|trans}}</span>  : {{ mission.country }}</p>
					<p><span>{{'mission.period_label'|trans}}</span> : {{ mission.beginDate | date('d/m/Y') }} - {{ mission.endDate | date('d/m/Y') }}</p>
				</div>
				<h1>{{ mission.content.title }}</h1>
				{{ mission.content.content | raw }}
			</div>
		</section>

		{% if mission.video is defined %}
			<section class="section-video wrapper">
				<div class="video-player" data-plyr-provider="youtube" data-plyr-embed-id="{{ mission.video }}"></div>
			</section>
		{% endif %}

		{% if missions is defined and missions|length > 0 %}
			{{ include('./blocks/slider-missions.twig', {
				'missions': missions
			}) }}
		{% endif %}

	</div>

	{{ include('./blocks/newsletter.twig') }}

{% endblock %}

{% block jsonLd %}

	<script type="application/ld+json">
		{
			"@context": "https://schema.org/",
			"@type": "Article",
			"name": "{{ mission.content.title }}",
			"headline": "{{ mission.content.title }}",
			"image": "{{ base_url }}/uploads/img_article/{{ mission.image }}",
			"description": "{{ mission.content.shortContent }}",
			"author": "Harkay",
			"dateCreated": "{{ mission.createdAt | date('Y/m/d') }}",
			"dateModified": "{{ mission.lastUpdatedAt | date('Y/m/d') }}",
			"datePublished": "{{ mission.createdAt | date('Y/m/d') }}",
			"mainEntityOfPage": "{{ url('missions') }}",
			"publisher": {
				"@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
			},
			"inLanguage": "{{ lang }}",
			"articleBody": "{{ mission.content.content | striptags | replace({'"':'\"', "\n": "", "\r": "", "\t": ""}) }}"
		}
	</script>

	<script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{ 'missions.title_our_missions'|trans }}",
					"item": "{{ url('missions') }}"
				},
				{
					"@type": "ListItem",
					"position": 3,
					"name": "{{ mission.content.title }}"
				}
			]
		}
	</script>

{% endblock %}